<?php

namespace App\Exports\UserActivity;

use Maatwebsite\Excel\Concerns\WithMultipleSheets;
use App\Exports\UserActivity\UserActivity;

class AllSheet implements WithMultipleSheets
{
    public function __construct($role_id, $date_to, $date_from)
    {
        $this->role_id = $role_id;
        $this->date_to = $date_to;
        $this->date_from = $date_from;
    }

    public function sheets(): array
    {
        return [new UserActivity($this->role_id, $this->date_to, $this->date_from)];
    }
}